public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam Jorna" <wraeth@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-irc/quassel-irssi/
Date: Wed, 11 Jan 2017 01:51:35 +0000 (UTC)	[thread overview]
Message-ID: <1484099377.3bcc174fb55bca0b814c8f2673804ec99c0bbaec.wraeth@gentoo> (raw)

commit:     3bcc174fb55bca0b814c8f2673804ec99c0bbaec
Author:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 11 00:08:28 2017 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Wed Jan 11 01:49:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bcc174f

net-irc/quassel-irssi: bump to snapshot 20170107

Bump to newer snapshot dated 2017-01-07. Fixes CFLAGS and CC.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 net-irc/quassel-irssi/Manifest                     |  1 +
 .../quassel-irssi/quassel-irssi-0_p20170107.ebuild | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/net-irc/quassel-irssi/Manifest b/net-irc/quassel-irssi/Manifest
index c5a4fa0..ae077be 100644
--- a/net-irc/quassel-irssi/Manifest
+++ b/net-irc/quassel-irssi/Manifest
@@ -1,2 +1,3 @@
 DIST quassel-irssi-0_p20160412.tar.gz 30993 SHA256 fb4afa32932e1dedb32121034d2327e5f7368e7557a55ae17ff6673f7720c786 SHA512 258db507ef8127b9086cc2c6157b23475c86329cae2040b0247aedfbba1aac8b7198ee86e7d0065e2844a5cc7db882011fa82bc60ce67abed8b62b9df7509a26 WHIRLPOOL 25c456473ed320ec573a151333df29d496604bc940a63f8a69758f63f2f7c18da3203969cef116a10545275632db22f524d2ad2f1875699efc3922b804db6e4e
+DIST quassel-irssi-0_p20170107.zip 42745 SHA256 d159b7db11dbd741fbbc1569f3583301fc36697d5efb770696bb7f8813ce2e67 SHA512 1d7e4e15af2d73fd7e581c517384604a41b68e3a5152dcaf2776a20bc15b459e4a5a7caf39a9c06a11e65ad5d9fea0aa81fa001caa9060f55b821e12b4fed814 WHIRLPOOL a74b6452fe0cece5b63e326dc10522a45d6bbb7a80554027af52f8a8dd9a690d862ab75201f98260eed841b473cfc10bbe21ee78ec878f808c19e69156944c5e
 DIST quasselc-0_p20150406.tar.gz 25609 SHA256 45b76685b1ec76f22309897d2f99cfe4e43c35148cde4d119f5e65f6b0efe855 SHA512 53d3e4629feaa05eb64a24deaa2a1423acd6bb4ff8dabd83661ef9cf9b3d5f8317c8896a48cd6f3a374b8585b2986211c455fb8813458e2a086973a6b96c9d0e WHIRLPOOL d0c2f2dfc5bf6c2b9e91b00ad11dfabfe6d3ce34e6b727ce4f3613e537dd6d5044251098e51724043483756022cb7105a2b9014182cfad3547d0222faf48d451

diff --git a/net-irc/quassel-irssi/quassel-irssi-0_p20170107.ebuild b/net-irc/quassel-irssi/quassel-irssi-0_p20170107.ebuild
new file mode 100644
index 00000000..00f470f
--- /dev/null
+++ b/net-irc/quassel-irssi/quassel-irssi-0_p20170107.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+# https://github.com/phhusson/quassel-irssi/pull/10 if accepted will
+# allow QuasselC to be installed as a separate package.
+
+# Commit Date: Sat, 7 Jan 2017 14:50:15 +0000
+COMMIT="f23e97a6188129cfae4c52f7e1a75940185454f4"
+
+DESCRIPTION="Irssi module to connect to Quassel cores."
+HOMEPAGE="https://github.com/phhusson/quassel-irssi/"
+SRC_URI="https://github.com/phhusson/${PN}/archive/${COMMIT}.zip -> ${PF}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# fails to build with irssi-1.0
+RDEPEND="<=net-irc/irssi-0.8.21"
+DEPEND="${RDEPEND}
+	net-libs/quasselc"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_prepare() {
+	default
+
+	sed -e "s:pkg-config:$(tc-getPKG_CONFIG):" \
+		-e 's:^CFLAGS=.*:CFLAGS+=$(IRSSI_CFLAGS) $(QUASSELC_FLAGS):' \
+		-i "${S}/core/Makefile" || die
+
+	sed -e 's:gcc -shared:$(CC) -shared:' -i "${S}/core/Makefile" || die
+
+	tc-export CC
+	export SYSTEM_QUASSELC=1
+}
+
+src_compile() {
+	emake IRSSI_LIB="${ROOT}usr/$(get_libdir)/irssi" -C core
+}
+
+src_install() {
+	emake DESTDIR="${D}" LIBDIR="${ROOT}usr/$(get_libdir)" -C core install
+	default
+}
+
+pkg_postinst() {
+	elog "Note that this requires additional configuration of your irssi client. See"
+	elog "    ${ROOT}usr/share/doc/${P}/README.md.bz2'"
+	elog "for instructions."
+}


             reply	other threads:[~2017-01-11  1:51 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-11  1:51 Sam Jorna [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-10-19 17:42 [gentoo-commits] repo/gentoo:master commit in: net-irc/quassel-irssi/ Michał Górny
2017-04-12  3:24 Sam Jorna
2017-01-11  1:51 Sam Jorna
2016-04-13 13:20 Sam Jorna

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1484099377.3bcc174fb55bca0b814c8f2673804ec99c0bbaec.wraeth@gentoo \
    --to=wraeth@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox